List Members

Lists members visible to the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/members/list' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "search": "john", "include_inactive": false, "per_page": 25, "page": 1 }' ``` Example success response shape: ```json { "success": true, "message": "OK", "data": [ { "member_id": 123, "contact_id": 456, "first_name": "John", "last_name": "Doe", "phone_number": "+6590000001" } ], "meta": { "pagination": { "total": 1, "per_page": 25, "current_page": 1, "last_page": 1, "from": 1, "to": 1 } } } ``` Example error response shape: ```json { "success": false, "message": "Unauthorized.", "error": { "code": "unauthorized", "details": {} } } ``` Common platform errors: - `sp_scope_not_granted` - `sp_token_scope_missing` - `sp_integration_not_found` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
datalist of objects
metaobject